Bug 975613 - [abrt] kernel BUG at mm/slub.c:3409!
[abrt] kernel BUG at mm/slub.c:3409!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:18b6239af6a83dc8d207b2b6605...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 19:12 EDT by Sam Jorna
Modified: 2015-08-17 19:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:05:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (68.10 KB, text/plain)
2013-06-18 19:12 EDT, Sam Jorna
no flags Details

  None (edit)
Description Sam Jorna 2013-06-18 19:12:31 EDT
Additional info:
reporter:       libreport-2.1.4
kernel BUG at mm/slub.c:3409!
invalid opcode: 0000 [#1] SMP 
Modules linked in: ebtable_nat xt_CHECKSUM fuse bnep bridge bluetooth stp llc rfkill ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 be2iscsi xt_conntrack iscsi_boot_sysfs nf_conntrack bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ebtable_filter ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ebtables ib_core ip6table_filter iscsi_tcp libiscsi_tcp libiscsi ip6_tables scsi_transport_iscsi acpi_cpufreq mperf snd_hda_codec_realtek coretemp iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd microcode soundcore serio_raw i7core_edac i2c_i801 lpc_ich edac_core mei mfd_core joydev tpm_tis tpm tpm_bios vhost_net tun macvtap macvlan kvm_intel kvm uinput binfmt_misc dm_crypt usb_storage nouveau crc32c_intel mxm_wmi video i2c_algo_bit e100 e1000e drm_kms_helper mii ttm ptp drm pps_core i2c_core wmi sunrpc
CPU 0 
Pid: 4528, comm: qemu-kvm Not tainted 3.9.5-201.fc18.x86_64 #1 LENOVO 5474RM8/  
RIP: 0010:[<ffffffff81186985>]  [<ffffffff81186985>] kfree+0x185/0x190
RSP: 0018:ffff880081419d38  EFLAGS: 00010246
RAX: 003ff00000000000 RBX: ffff880080712280 RCX: 0000000000000000
RDX: 000077ff80000000 RSI: 0000000000000282 RDI: ffff880080712280
RBP: ffff880081419d78 R08: 0000000000000000 R09: 000000007ff40000
R10: ffff880081419fd8 R11: 0000000000000000 R12: ffff880081420010
R13: ffffea000201c480 R14: ffff880080712280 R15: ffff880081420078
FS:  00007f9c0a734a00(0000) GS:ffff88023fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000950030 CR3: 000000007e7e6000 CR4: 00000000000027f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process qemu-kvm (pid: 4528, threadinfo ffff880081418000, task ffff8802094e4650)
Stack:
 ffff880081419d58 ffff880080712280 ffff880081420010 ffff880080712280
 ffff880081420010 0000000000000000 ffff880080712280 ffff880081420078
 ffff880081419dc8 ffffffffa02db010 ffff880081419da8 ffffffffa02d8ac3
Call Trace:
 [<ffffffffa02db010>] vhost_ubuf_put_and_wait+0x90/0xa0 [vhost_net]
 [<ffffffffa02d8ac3>] ? vhost_poll_stop+0x23/0x40 [vhost_net]
 [<ffffffffa02dc253>] ? vhost_net_disable_vq+0x33/0x70 [vhost_net]
 [<ffffffffa02dc89d>] vhost_net_ioctl+0x4cd/0x670 [vhost_net]
 [<ffffffff812a0629>] ? avc_has_perm_flags+0xc9/0x180
 [<ffffffff812a0629>] ? avc_has_perm_flags+0xc9/0x180
 [<ffffffff811b17e7>] do_vfs_ioctl+0x97/0x580
 [<ffffffff812a15aa>] ? inode_has_perm.isra.32.constprop.62+0x2a/0x30
 [<ffffffff812a2c37>] ? file_has_perm+0x97/0xb0
 [<ffffffff811b1d61>] sys_ioctl+0x91/0xb0
 [<ffffffff8166a2d9>] system_call_fastpath+0x16/0x1b
Code: 00 c0 00 00 74 25 49 8b 45 00 31 f6 f6 c4 40 74 04 41 8b 75 68 4c 89 ef e8 29 58 fb ff e9 53 ff ff ff 4d 8b 6d 30 e9 f1 fe ff ff <0f> 0b 66 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 89 e5 48 
RIP  [<ffffffff81186985>] kfree+0x185/0x190
 RSP <ffff880081419d38>
Comment 1 Sam Jorna 2013-06-18 19:12:36 EDT
Created attachment 762667 [details]
File: dmesg
Comment 2 Josh Boyer 2013-06-19 08:33:26 EDT
Please test this scratch build when it completes:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5520279
Comment 3 Michael S. Tsirkin 2013-06-20 08:30:11 EDT
unable to reproduce, but went over related code again,
and found a bug. It's likely this one:
http://patchwork.ozlabs.org/patch/252885/
Comment 4 Josh Boyer 2013-06-20 08:51:31 EDT
Here's a scratch build with the above mentioned patch.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5523794
Comment 5 Justin M. Forbes 2013-10-18 17:02:05 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2013-11-27 11:05:48 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 7 Sam Jorna 2015-08-17 19:21:05 EDT
This has been pinging me for a while now. Adding comment to hopefully clear the NEEDINFO flag on a CLOSED bug.

Note You need to log in before you can comment on or make changes to this bug.